Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface RelationalReference

All Known Implementing Classes:
  BelongingImpl, EntityImpl

public interface RelationalReference

Interface for metadata required to persist associations. Associations among classes require certain metadata for persistence:

- containingEntity: provides foreign key information to containing entity bean
- classID: identifies a subclass in the database. Used to persist subclasses in a single collection or map

Method Summary
`String` | `get__classIdentifier()` Get relation identifier for this object (used to persist subclasses in a single collection or map)
`Belonging` | `get__containingBelonging()` Get foreign key information about the bean that contains this object
`EJBObject` | `get__containingEntity()` Get foreign key information about the bean that contains this object
`Object` | `get__mapKey()` get map key
`Long` | `get__sequenceNumber()` Get the sequencer number
`void` | `set__containingBelonging(Belonging belonging)` Provides foreign key information about the bean that contains this object
`void` | `set__containingEntity(EJBObject containingEntity)` Provides foreign key information about the bean that contains this object
`void` | `set__mapKey(Object mapKey)` Provides map key information

Method Detail

### set__mapKey

    public void set__mapKey(Object mapKey)

  Provides map key information

  Parameters:
    `mapKey` - the key if this object is used in a map

### get__mapKey

    public Object get__mapKey()

  get map key

  Returns:
    the mak key
  Throws:
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.

### set__containingEntity

    public void set__containingEntity(EJBObject containingEntity)

  Provides foreign key information about the bean that contains this object

### get__containingEntity

    public EJBObject get__containingEntity()

  Get foreign key information about the bean that contains this object

  Returns:
    ejbObject remote interface of the containing bean
  Throws:
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.

### set__containingBelonging

    public void set__containingBelonging(Belonging belonging)

  Provides foreign key information about the bean that contains this object

### get__containingBelonging

    public Belonging get__containingBelonging()

  Get foreign key information about the bean that contains this object

  Returns:
    ejbObject remote interface of the containing bean
  Throws:
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.

### get__classIdentifier

    public String get__classIdentifier()

  Get relation identifier for this object (used to persist subclasses in a single collection or map)

  Returns:
    class identifier for this object.

### get__sequenceNumber

    public Long get__sequenceNumber()

  Get the sequencer number

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved